package com.zjrs.ggfw.portal.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.portal.dto.*;
import com.zjrs.ggfw.portal.po.*;

import java.util.List;
import java.util.Map;

public interface CommBLO extends IBLO {
	
	//获取静态字典
	public List<VGgfwDict> getGgfwDict(String kind);
	
	//获取行政区划(获取省级传86)
	public List<VSgArea> getXzqh(String parentId);
	
	//获取所属行业
	public List<VGgfwDict> getSshy(String parentId);
	
	//获取事项列表
	public PageResult getSxList(SxQueryDTO dto);
	
	//查询政策法规各业务主题记录数
	public List<Map<String, Object>> getZcfgYwztCntList();
	
	//获取通知公告、政策法规
	public PageResult getZcfgList(ZcfgQueryDTO dto);
	
	//获取通知公告、政策法规附件
	public PageResult getZcfgFjList(ZcfgfjQueryDTO dto);
	
	//小程序首页滚动显示最新6条政策法规、通知公告
	public List<VRsSyXxlx> getLatestZcfg(ZcfgQueryDTO dto);
	
	//获取热门事项
	public List<VRsWbRmsx> getRmSxList(String ssbm);
	
	//获取热门事项
	public List<VRsWbRmfw> getRmFwList();
	
	//获取高层次人才卡信息
	public VRsZjGccrcQf getGccrck(GccrcQueryDTO dto);
	
	//高校毕业生学生档案
	public PageResult getGxbysXsda(GxbysdaQueryDTO dto);
	
	//高校毕业生人事代理档案
	public PageResult getGxbysRsdlda(GxbysdaQueryDTO dto);

	//获取当前时间
	public String getCurrenttime();

	//获取子项流水号、受理流水号
	Map<String,String> getSubBjXx(HcpDTO dto);
}